Get a layout design
curl --request GET \
--url https://api.smokeball.com/layouts/{id} \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/layouts/{id}"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/layouts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"versionId": "763c3857-2ed9-4c5d-bee0-c48d48a7543e",
"name": "Case Details",
"lastUpdated": 637847425252027400,
"description": "Property and title details",
"fields": [
{
"name": "PinAndLotSizes[]/AccountNumber",
"type": "Combobox",
"possibleValues": [
"Residence",
"Commercial",
"Factory",
"Office"
]
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Layout Designs
Get a layout design
Retrieves a specified layout design.
GET
/
layouts
/
{id}
Get a layout design
Path Parameters
Layout design Id
Query Parameters
Matter type identifier (optional)
State identifier (optional)
Response
When request is successful. Returns a 'LayoutDesign' object.
Show child attributes
Show child attributes
Version id of the layout design.
Example:
"763c3857-2ed9-4c5d-bee0-c48d48a7543e"
Name of the layout design.
Example:
"Case Details"
Last updated timestamp.
Example:
637847425252027400
Brief description of the layout design.
Example:
"Property and title details"
Collection of layout design fields.
Show child attributes
Show child attributes